/*
  Copyright 2007 Eurotech S.P.A. (Luca Calligaris)
  Copyright 2007 Christian Pellegrin <chripell@gmail.com> EVOL S.R.L.

  This software is released under the GPL v2. Please see the file
  COPYING in the top-level directory.
*/
#ifndef _DRIVER_H_
#define _DRIVER_H_ 1

#include <asm/io.h>
#include <linux/delay.h>

struct plx_dev;

struct ETHJPG2K_s {
	/* compatibility with windows ce code */
	unsigned long PLX9056_BAR2;
	struct plx_dev *plx;
	int DeviceIsRunning;
	int DeviceIsBooting;
	int FirmwareType;

	struct
	{
		/*Current video standard 1=NTSC, 0=PAL*/
                unsigned        bNtsc                           :1;
        }Flags;
};

typedef struct ETHJPG2K_s * PETHJPG2K;

#define RD(address) ioread32((void *) (address))
#define WD(address, data) iowrite32(data, (void *) (address))

#define Sleep(x) mdelay(x)

#define UCHAR u8

void init_cpld(PETHJPG2K);

#endif
